import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/get?${stringify(params)}`);
}


export async function insertForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxmsg/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}

export async function queryListForWxUserTags(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wxusertags/list`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}
